org.apache.myfaces.trinidad.component

## Class UIXShowDetail

- java.lang.Object
- - javax.faces.component.UIComponent
  - - org.apache.myfaces.trinidad.component.UIXComponent
    - - org.apache.myfaces.trinidad.component.UIXComponentBase
      - - org.apache.myfaces.trinidad.component.UIXShowDetail

- All Implemented Interfaces:
    EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder
  Direct Known Subclasses:
    CoreShowDetail, CoreShowDetailHeader, CoreShowDetailItem

      public class UIXShowDetail
      extends UIXComponentBase

  #### Events:

  Type | Phases | Description
  --- | --- | ---
  `org.apache.myfaces.trinidad.event.DisclosureEvent` | Apply Request Values Invoke Application | The disclosure event is delivered when a node is disclosed.
  `org.apache.myfaces.trinidad.event.AttributeChangeEvent` | Invoke Application Apply Request Values | Event delivered to describe an attribute change. Attribute change events are not delivered for any programmatic change to a property. They are only delivered when a renderer changes a property without the application's specific request. An example of an attribute change event might include the width of a column that supported client-side resizing.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `UIXComponentBase.ComponentSystemEventListenerWrapper`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`
    `static PropertyKey` | `DISCLOSED_KEY`
    `static PropertyKey` | `DISCLOSED_TRANSIENT_KEY`
    `static PropertyKey` | `DISCLOSURE_LISTENER_KEY`
    `static PropertyKey` | `IMMEDIATE_KEY`
    `static FacesBean.Type` | `TYPE`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `BINDING_KEY, ID_KEY, RENDERED_KEY, RENDERER_TYPE_KEY, TRANSIENT_KEY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `UIXShowDetail()` Construct an instance of the UIXShowDetail.
    `protected` | `UIXShowDetail(String rendererType)` Construct an instance of the UIXShowDetail.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDisclosureListener(DisclosureListener listener)` Adds a disclosure listener.
    `void` | `broadcast(javax.faces.event.FacesEvent event)`
    `protected FacesBean.Type` | `getBeanType()`
    `javax.el.MethodExpression` | `getDisclosureListener()` Gets a method reference to a disclosure listener
    `DisclosureListener[]` | `getDisclosureListeners()` Returns an array of attached disclosure listeners.
    `String` | `getFamily()`
    `protected Iterator<javax.faces.component.UIComponent>` | `getRenderedFacetsAndChildren(javax.faces.context.FacesContext facesContext)` Specifies what facets and children components should be processed as rendered for life-cycle methods.
    `boolean` | `isDisclosed()` Gets whether or not to disclose the children
    `boolean` | `isDisclosedTransient()` Gets stops the local value of disclosed from being set by renderers.
    `boolean` | `isImmediate()` Gets whether data validation - client-side or server-side - should be skipped when events are generated by this component.
    `void` | `queueEvent(javax.faces.event.FacesEvent e)`
    `void` | `removeDisclosureListener(DisclosureListener listener)` Removes a disclosure listener.
    `void` | `setDisclosed(boolean disclosed)` Sets whether or not to disclose the children
    `void` | `setDisclosedTransient(boolean disclosedTransient)` Sets stops the local value of disclosed from being set by renderers.
    `void` | `setDisclosureListener(javax.faces.el.MethodBinding binding)` Deprecated.
    `void` | `setDisclosureListener(javax.el.MethodExpression disclosureListener)` Sets a method reference to a disclosure listener
    `void` | `setImmediate(boolean immediate)` Sets whether data validation - client-side or server-side - should be skipped when events are generated by this component.

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `adaptMethodBinding, addAttributeChange, addAttributeChangeListener, addClientBehavior, addComponentChange, addComponentChange, addComponentChangeFilter, addFacesListener, broadcastToMethodBinding, broadcastToMethodExpression, clearCachedClientIds, clearInitialState, createFacesBean, decode, decodeChildren, decodeChildrenImpl, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributeChangeListener, getAttributeChangeListeners, getAttributes, getBooleanProperty, getChildCount, getChildren, getClientBehaviors, getClientId, getComponentChangeFilters, getContainerClientId, getDefaultEventName, getFacesBean, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacetNames, getFacets, getFacetsAndChildren, getId, getIntProperty, getLifecycleRenderer, getListenersForEventClass, getParent, getPassThroughAttributes, getProperty, getPropertyKey, getRenderer, getRendererType, getRendersChildren, getValueBinding, getValueExpression, initialStateMarked, invokeOnChildrenComponents, invokeOnComponent, invokeOnNamingContainerComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeAttributeChangeListener, removeComponentChangeFilter, removeFacesListener, restoreState, satisfiesPartialTrigger, saveState, setAttributeChangeListener, setAttributeChangeListener, setBooleanProperty, setId, setIntProperty, setParent, setProperty, setRendered, setRendererType, setTransient, setupFlattenedChildrenContext, setupFlattenedContext, setValueBinding, setValueExpression, subscribeToEvent, tearDownFlattenedChildrenContext, tearDownFlattenedContext, toString, unsubscribeFromEvent, updateChildren, updateChildrenImpl, validateChildren, validateChildrenImpl`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponent

      `addPartialTarget, broadcastInContext, clearCachedClientIds, defaultGetRenderedFacetsAndChildren, encodeFlattenedChild, encodeFlattenedChildren, getLogicalParent, getLogicalParent, getStateHelper, getStateHelper, isVisitable, partialEncodeVisit, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, setPartialTarget, setupChildrenEncodingContext, setupChildrenVisitingContext, setupEncodingContext, setUpEncodingContext, setupVisitingContext, tearDownChildrenEncodingContext, tearDownChildrenVisitingContext, tearDownEncodingContext, tearDownVisitingContext, visitAllChildren, visitChildren, visitChildren, visitTree, visitTree`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getTransientStateHelper, getTransientStateHelper, isCompositeComponent, isInView, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE

          public static final FacesBean.Type TYPE

    - #### DISCLOSED_KEY

          public static final PropertyKey DISCLOSED_KEY

    - #### DISCLOSED_TRANSIENT_KEY

          public static final PropertyKey DISCLOSED_TRANSIENT_KEY

    - #### IMMEDIATE_KEY

          public static final PropertyKey IMMEDIATE_KEY

    - #### DISCLOSURE_LISTENER_KEY

          public static final PropertyKey DISCLOSURE_LISTENER_KEY

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIXShowDetail

          public UIXShowDetail()

      Construct an instance of the UIXShowDetail.

    - #### UIXShowDetail

          protected UIXShowDetail(String rendererType)

      Construct an instance of the UIXShowDetail.

  - ### Method Detail

    - #### setDisclosureListener

          @Deprecated
          public void setDisclosureListener(javax.faces.el.MethodBinding binding)

      Deprecated.

    - #### broadcast

          public void broadcast(javax.faces.event.FacesEvent event)
                         throws javax.faces.event.AbortProcessingException

      Overrides:
        `broadcast` in class `UIXComponentBase`
      Throws:
        `javax.faces.event.AbortProcessingException`

    - #### queueEvent

          public void queueEvent(javax.faces.event.FacesEvent e)

      Overrides:
        `queueEvent` in class `UIXComponentBase`

    - #### getRenderedFacetsAndChildren

          protected Iterator<javax.faces.component.UIComponent> getRenderedFacetsAndChildren(javax.faces.context.FacesContext facesContext)

      Description copied from class: `UIXComponent`
      Specifies what facets and children components should be processed as rendered for life-cycle methods. Any components not returned will not be processed during methods such as decoding, validating, updating the model, rendered-only tree visiting, etc.
      Overrides:
        `getRenderedFacetsAndChildren` in class `UIXComponentBase`
      Parameters:
        `facesContext` - the facesContext
      Returns:
        An iterator of components to process. Must not return null (return an empty iterator if no children components should be processed).

    - #### isDisclosed

          public final boolean isDisclosed()

      Gets whether or not to disclose the children
      Returns:
        the new disclosed value

    - #### setDisclosed

          public final void setDisclosed(boolean disclosed)

      Sets whether or not to disclose the children
      Parameters:
        `disclosed` - the new disclosed value

    - #### isDisclosedTransient

          public final boolean isDisclosedTransient()

      Gets stops the local value of disclosed from being set by renderers. This allows the value to always be taken from the value of the disclosed value expression. Disclosed values must be updated in other ways (i.e. from a disclosure listener)
      Returns:
        the new disclosedTransient value

    - #### setDisclosedTransient

          public final void setDisclosedTransient(boolean disclosedTransient)

      Sets stops the local value of disclosed from being set by renderers. This allows the value to always be taken from the value of the disclosed value expression. Disclosed values must be updated in other ways (i.e. from a disclosure listener)
      Parameters:
        `disclosedTransient` - the new disclosedTransient value

    - #### isImmediate

          public final boolean isImmediate()

      Gets whether data validation - client-side or server-side - should be skipped when events are generated by this component. When immediate is false (the default), the disclosure event will be delivered during the Invoke Application phase, which will trigger validation. When set to true, the disclosure event will be executed during the Apply Request Values phase.
      Returns:
        the new immediate value

    - #### setImmediate

          public final void setImmediate(boolean immediate)

      Sets whether data validation - client-side or server-side - should be skipped when events are generated by this component. When immediate is false (the default), the disclosure event will be delivered during the Invoke Application phase, which will trigger validation. When set to true, the disclosure event will be executed during the Apply Request Values phase.
      Parameters:
        `immediate` - the new immediate value

    - #### getDisclosureListener

          public final javax.el.MethodExpression getDisclosureListener()

      Gets a method reference to a disclosure listener
      Returns:
        the new disclosureListener value

    - #### setDisclosureListener

          public final void setDisclosureListener(javax.el.MethodExpression disclosureListener)

      Sets a method reference to a disclosure listener
      Parameters:
        `disclosureListener` - the new disclosureListener value

    - #### addDisclosureListener

          public final void addDisclosureListener(DisclosureListener listener)

      Adds a disclosure listener.
      Parameters:
        `listener` - the disclosure listener to add

    - #### removeDisclosureListener

          public final void removeDisclosureListener(DisclosureListener listener)

      Removes a disclosure listener.
      Parameters:
        `listener` - the disclosure listener to remove

    - #### getDisclosureListeners

          public final DisclosureListener[] getDisclosureListeners()

      Returns an array of attached disclosure listeners.
      Returns:
        an array of attached disclosure listeners.

    - #### getFamily

          public String getFamily()

      Specified by:
        `getFamily` in class `UIXComponentBase`

    - #### getBeanType

          protected FacesBean.Type getBeanType()

      Overrides:
        `getBeanType` in class `UIXComponentBase`

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.